Subject: Re: bug#27901: 25.1; x-win-suspend-error: Cannot suspend Emacs while running under X
From: Eli Zaretskii <[email-masked]>
To: Francesco Potortì <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Aug 2017 12:02:30 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 01 Aug 2017 11:01:18 +0200
> From: Francesco Potortì <[email-masked]>
> 
> I have Emacs running in a terminal under screen.  From there, I open a
> frame under X.  So I have a text frame under screen and a graphical
> frame under X.
> 
> When the graphical frame is open, if I try to suspend Emacs from the
> terminal, I get the error in the subject, whose meaning is obscure.
> 
> When I close the X frame, Emacs can be suspended normally.
> 
> If the error is only issued in the case I just described, then it should
> be rephrased, with something like "cannot suspend Emacs when a graphical
> frame exists".

Done, thanks.

> It would also be nice if the message explained how to close the
> graphical frame from the text frame.  I tried
>  (delete-frame (next-frame))
> from the text frame but the only result was that the text frame became
> unusable (not responding to commands any more).

I encourage people to propose simple ways of doing that.